# GPS Correlate Documentation: Command line version

## Command line options

Basic usage:

    gpscorrelate [OPTIONS] -g gpsdata.gpx photo1.jpg photo2.jpg ...

The options are:

--gps or -g gps_data.gpx | Specify the file to read the GPS data from
--timeadd or -z +/-XX:[XX] | Specifies the timezone of the photos. For example, in Perth, Western Australia, this is +8:00. This can be specified as either "8", "+8", "8:00", or "+8:00".
--no-interpolation or -i | Disable interpolation between the points. Instead of interpolating, the program will "round" to the nearest point. If the photo is exactly half way between the two points, it will round down to the earliest point.
--verbose or -v | Show the final fixes on the screen.
--no-write or -n | Don't write the GPS EXIF tags back to the file. Useful with -v, to do a trial run.
--datum or -d "datum" | Specifies the "datum" to write into the GPS EXIF tags. By default, it is WGS-84. However, GPX is not supposed to store anything but WGS-84, so use if you must.
--max-dist or -m time | Specifies the maximum distance around a point that a photo will be matched. In seconds.
--show or -s | Just show the GPS data embedded into the EXIF tags of the photos specified on the command line, and then quit.
--machine or -o | Just show the GPS data embedded into the EXIF tags of the photos specified on the command line, and then quit. This option varies from --show in that it will output a machine readable format: CSV. In this case the fields are: "filename.jpg","2005:04:23 19:31:00",Latitude,Longitude,Elevation Where the first value is the filename, as passed, the second is the timestamp, and the last three are floating point values, with a leading plus or minus.
--remove or -r | Remove GPS EXIF tags from the specified files, and then quit. Note that this only removes the GPS tags that the program could add, it does not delete all possible GPS EXIF tags. All other tags are left alone.
--ignore-tracksegs or -t | Ignores tracksegments in the original GPX file and interpolates between them. Generally track segments show multiple sessions of GPS logging: between them is generally when the GPS was not logging.
--fix-datestamps or -f | Prior to 1.5.2 was two bugs that wrote the wrong value for the GPSDateStamp and GPSTimeStamp tag. This option will check each supplied filename for the problem and correct it. Use with --no-write to prevent writing these changes (useful for checking for the issue). This option also implies --no-mtime. You will also need to use --timeadd to specify the difference between localtime and UTC time for the supplied photos.
--degmins or -p | Prior to 1.5.3, Longitude and Lattitude values were written as DD MM.MM. After 1.5.3, the default is to write them as DD MM SS.SS, which is more accurate. To force the old behaviour, use this flag.
--photooffset or -O seconds | This parameter specifies the Photo offset, that is a number of seconds added to the photo timestamp. It is calculated with GPS - Photo time. See the GPS Correlate concepts for more details on exactly how to use this.

Examples of usage:

In a directory full of photos:

    gpscorrelate -g Test.gpx -z +8 *.jpg

Removing or showing GPS tags:

    gpscorrelate --show *.jpg
    gpscorrelate --remove *.jpg

And thats about it... there is not too much more to say about this program that is not already said in the GPS Correlate concepts documentation.

Return to the contents